<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref13.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::SizeofExpr::SizeofExpr&#40;Node*&#44;Node*&#41; - Synopsis::PTree::TypeVisitor::visit&#40;ArrayExpr*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::SizeofExpr::SizeofExpr&#40;Node*&#44;Node*&#41; - Synopsis::PTree::TypeVisitor::visit&#40;ArrayExpr*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mSizeofExpr_mSizeofExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::SizeofExpr::SizeofExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/SizeofExpr.html#SizeofExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#414">Synopsis/PTree/Lists.hh:414</a>: in class <a href="../Scopes/Synopsis/PTree/SizeofExpr.html" >Synopsis::PTree::SizeofExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mStatementT" /><h2 >Class Synopsis::PTree::StatementT</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/StatementT.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#263">Synopsis/PTree/Lists.hh:263</a>: in class <a href="../Scopes/Synopsis/PTree/StatementT.html" >Synopsis::PTree::StatementT</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#270">Synopsis/PTree/Lists.hh:270</a>: in class <a href="../Scopes/Synopsis/PTree/IfStatement.html" >Synopsis::PTree::IfStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#276">Synopsis/PTree/Lists.hh:276</a>: in class <a href="../Scopes/Synopsis/PTree/SwitchStatement.html" >Synopsis::PTree::SwitchStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#282">Synopsis/PTree/Lists.hh:282</a>: in class <a href="../Scopes/Synopsis/PTree/WhileStatement.html" >Synopsis::PTree::WhileStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#288">Synopsis/PTree/Lists.hh:288</a>: in class <a href="../Scopes/Synopsis/PTree/DoStatement.html" >Synopsis::PTree::DoStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#294">Synopsis/PTree/Lists.hh:294</a>: in class <a href="../Scopes/Synopsis/PTree/ForStatement.html" >Synopsis::PTree::ForStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#300">Synopsis/PTree/Lists.hh:300</a>: in class <a href="../Scopes/Synopsis/PTree/TryStatement.html" >Synopsis::PTree::TryStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#306">Synopsis/PTree/Lists.hh:306</a>: in class <a href="../Scopes/Synopsis/PTree/BreakStatement.html" >Synopsis::PTree::BreakStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#312">Synopsis/PTree/Lists.hh:312</a>: in class <a href="../Scopes/Synopsis/PTree/ContinueStatement.html" >Synopsis::PTree::ContinueStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#318">Synopsis/PTree/Lists.hh:318</a>: in class <a href="../Scopes/Synopsis/PTree/ReturnStatement.html" >Synopsis::PTree::ReturnStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#324">Synopsis/PTree/Lists.hh:324</a>: in class <a href="../Scopes/Synopsis/PTree/GotoStatement.html" >Synopsis::PTree::GotoStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#330">Synopsis/PTree/Lists.hh:330</a>: in class <a href="../Scopes/Synopsis/PTree/CaseStatement.html" >Synopsis::PTree::CaseStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#336">Synopsis/PTree/Lists.hh:336</a>: in class <a href="../Scopes/Synopsis/PTree/DefaultStatement.html" >Synopsis::PTree::DefaultStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#342">Synopsis/PTree/Lists.hh:342</a>: in class <a href="../Scopes/Synopsis/PTree/LabelStatement.html" >Synopsis::PTree::LabelStatement</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#348">Synopsis/PTree/Lists.hh:348</a>: in class <a href="../Scopes/Synopsis/PTree/ExprStatement.html" >Synopsis::PTree::ExprStatement</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#266">Synopsis/PTree/Lists.hh:266</a>: Constructor <a href="../Scopes/Synopsis/PTree/StatementT.html#StatementT_lNode_S_cNode_S_r" >StatementT&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#267">Synopsis/PTree/Lists.hh:267</a>: Member function <a href="../Scopes/Synopsis/PTree/StatementT.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mStatementT_mStatementT_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::StatementT::StatementT&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/StatementT.html#StatementT_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#266">Synopsis/PTree/Lists.hh:266</a>: in class <a href="../Scopes/Synopsis/PTree/StatementT.html" >Synopsis::PTree::StatementT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mStatementT_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::StatementT::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/StatementT.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#267">Synopsis/PTree/Lists.hh:267</a>: in class <a href="../Scopes/Synopsis/PTree/StatementT.html" >Synopsis::PTree::StatementT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mStaticUserStatementExpr" /><h2 >Class Synopsis::PTree::StaticUserStatementExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#489">Synopsis/PTree/Lists.hh:489</a>: in class <a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >Synopsis::PTree::StaticUserStatementExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#489">Synopsis/PTree/Lists.hh:489</a>: in class <a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >Synopsis::PTree::StaticUserStatementExpr</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#492">Synopsis/PTree/Lists.hh:492</a>: Constructor <a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html#StaticUserStatementExpr_lNode_S_cNode_S_r" >StaticUserStatementExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mStaticUserStatementExpr_mStaticUserStatementExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::StaticUserStatementExpr::StaticUserStatementExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html#StaticUserStatementExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#492">Synopsis/PTree/Lists.hh:492</a>: in class <a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >Synopsis::PTree::StaticUserStatementExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mSwitchStatement" /><h2 >Class Synopsis::PTree::SwitchStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/SwitchStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#276">Synopsis/PTree/Lists.hh:276</a>: in class <a href="../Scopes/Synopsis/PTree/SwitchStatement.html" >Synopsis::PTree::SwitchStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#276">Synopsis/PTree/Lists.hh:276</a>: in class <a href="../Scopes/Synopsis/PTree/SwitchStatement.html" >Synopsis::PTree::SwitchStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#51">Synopsis/PTree/TypeVisitor.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#146">Synopsis/PTree/Visitor.hh:146</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#279">Synopsis/PTree/Lists.hh:279</a>: Constructor <a href="../Scopes/Synopsis/PTree/SwitchStatement.html#SwitchStatement_lNode_S_cNode_S_r" >SwitchStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mSwitchStatement_mSwitchStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::SwitchStatement::SwitchStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/SwitchStatement.html#SwitchStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#279">Synopsis/PTree/Lists.hh:279</a>: in class <a href="../Scopes/Synopsis/PTree/SwitchStatement.html" >Synopsis::PTree::SwitchStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateDecl" /><h2 >Class Synopsis::PTree::TemplateDecl</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#43">Synopsis/PTree/Lists.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Synopsis::PTree::TemplateDecl</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#30">Synopsis/PTree/TypeVisitor.hh:30</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#94">Synopsis/PTree/Visitor.hh:94</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#104">Synopsis/Parser.hh:104</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#38">Synopsis/SymbolFactory.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#50">Synopsis/SymbolFactory.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#31">Synopsis/SymbolLookup/Walker.hh:31</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#43">Synopsis/SymbolLookup/Walker.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#46">Synopsis/PTree/Lists.hh:46</a>: Constructor <a href="../Scopes/Synopsis/PTree/TemplateDecl.html#TemplateDecl_lNode_S_cNode_S_r" >TemplateDecl&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#47">Synopsis/PTree/Lists.hh:47</a>: Constructor <a href="../Scopes/Synopsis/PTree/TemplateDecl.html#TemplateDecl_lNode_S_r" >TemplateDecl&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#48">Synopsis/PTree/Lists.hh:48</a>: Member function <a href="../Scopes/Synopsis/PTree/TemplateDecl.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateDecl_mTemplateDecl_lNode_S_r" /><h2 >Constructor Synopsis::PTree::TemplateDecl::TemplateDecl&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateDecl.html#TemplateDecl_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#47">Synopsis/PTree/Lists.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Synopsis::PTree::TemplateDecl</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateDecl_mTemplateDecl_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::TemplateDecl::TemplateDecl&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateDecl.html#TemplateDecl_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#46">Synopsis/PTree/Lists.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Synopsis::PTree::TemplateDecl</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateDecl_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::TemplateDecl::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateDecl.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#48">Synopsis/PTree/Lists.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Synopsis::PTree::TemplateDecl</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateInstantiation" /><h2 >Class Synopsis::PTree::TemplateInstantiation</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#51">Synopsis/PTree/Lists.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html" >Synopsis::PTree::TemplateInstantiation</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#31">Synopsis/PTree/TypeVisitor.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#95">Synopsis/PTree/Visitor.hh:95</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#54">Synopsis/PTree/Lists.hh:54</a>: Constructor <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html#TemplateInstantiation_lNode_S_r" >TemplateInstantiation&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#55">Synopsis/PTree/Lists.hh:55</a>: Member function <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateInstantiation_mTemplateInstantiation_lNode_S_r" /><h2 >Constructor Synopsis::PTree::TemplateInstantiation::TemplateInstantiation&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html#TemplateInstantiation_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#54">Synopsis/PTree/Lists.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html" >Synopsis::PTree::TemplateInstantiation</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTemplateInstantiation_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::TemplateInstantiation::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#55">Synopsis/PTree/Lists.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html" >Synopsis::PTree::TemplateInstantiation</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mThrowExpr" /><h2 >Class Synopsis::PTree::ThrowExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ThrowExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#405">Synopsis/PTree/Lists.hh:405</a>: in class <a href="../Scopes/Synopsis/PTree/ThrowExpr.html" >Synopsis::PTree::ThrowExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#405">Synopsis/PTree/Lists.hh:405</a>: in class <a href="../Scopes/Synopsis/PTree/ThrowExpr.html" >Synopsis::PTree::ThrowExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#71">Synopsis/PTree/TypeVisitor.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#179">Synopsis/PTree/Visitor.hh:179</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#40">Synopsis/TypeAnalysis/TypeEvaluator.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#408">Synopsis/PTree/Lists.hh:408</a>: Constructor <a href="../Scopes/Synopsis/PTree/ThrowExpr.html#ThrowExpr_lNode_S_cNode_S_r" >ThrowExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mThrowExpr_mThrowExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ThrowExpr::ThrowExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ThrowExpr.html#ThrowExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#408">Synopsis/PTree/Lists.hh:408</a>: in class <a href="../Scopes/Synopsis/PTree/ThrowExpr.html" >Synopsis::PTree::ThrowExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTryStatement" /><h2 >Class Synopsis::PTree::TryStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TryStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#300">Synopsis/PTree/Lists.hh:300</a>: in class <a href="../Scopes/Synopsis/PTree/TryStatement.html" >Synopsis::PTree::TryStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#300">Synopsis/PTree/Lists.hh:300</a>: in class <a href="../Scopes/Synopsis/PTree/TryStatement.html" >Synopsis::PTree::TryStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#55">Synopsis/PTree/TypeVisitor.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#154">Synopsis/PTree/Visitor.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#303">Synopsis/PTree/Lists.hh:303</a>: Constructor <a href="../Scopes/Synopsis/PTree/TryStatement.html#TryStatement_lNode_S_cNode_S_r" >TryStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTryStatement_mTryStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::TryStatement::TryStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TryStatement.html#TryStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#303">Synopsis/PTree/Lists.hh:303</a>: in class <a href="../Scopes/Synopsis/PTree/TryStatement.html" >Synopsis::PTree::TryStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeParameter" /><h2 >Class Synopsis::PTree::TypeParameter</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeParameter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#224">Synopsis/PTree/Lists.hh:224</a>: in class <a href="../Scopes/Synopsis/PTree/TypeParameter.html" >Synopsis::PTree::TypeParameter</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#46">Synopsis/PTree/TypeVisitor.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#139">Synopsis/PTree/Visitor.hh:139</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#51">Synopsis/SymbolFactory.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#227">Synopsis/PTree/Lists.hh:227</a>: Constructor <a href="../Scopes/Synopsis/PTree/TypeParameter.html#TypeParameter_lNode_S_cNode_S_r" >TypeParameter&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#228">Synopsis/PTree/Lists.hh:228</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeParameter.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeParameter_mTypeParameter_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::TypeParameter::TypeParameter&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeParameter.html#TypeParameter_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#227">Synopsis/PTree/Lists.hh:227</a>: in class <a href="../Scopes/Synopsis/PTree/TypeParameter.html" >Synopsis::PTree::TypeParameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeParameter_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::TypeParameter::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeParameter.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#228">Synopsis/PTree/Lists.hh:228</a>: in class <a href="../Scopes/Synopsis/PTree/TypeParameter.html" >Synopsis::PTree::TypeParameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor" /><h2 >Class Synopsis::PTree::TypeVisitor</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#19">Synopsis/PTree/TypeVisitor.hh:19</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#90">Synopsis/PTree/TypeVisitor.hh:90</a>: in function <a href="../Scopes/Synopsis/PTree.html#type_of_lconst.Node_S_r" >Synopsis::PTree::type_of&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#97">Synopsis/PTree/TypeVisitor.hh:97</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#105">Synopsis/PTree/TypeVisitor.hh:105</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#113">Synopsis/PTree/TypeVisitor.hh:113</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#22">Synopsis/PTree/TypeVisitor.hh:22</a>: Constructor <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#TypeVisitor_l_r" >TypeVisitor&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#24">Synopsis/PTree/TypeVisitor.hh:24</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" >type_of&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#26">Synopsis/PTree/TypeVisitor.hh:26</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" >visit&#40;Literal*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#27">Synopsis/PTree/TypeVisitor.hh:27</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIdentifier_S_r" >visit&#40;Identifier*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#28">Synopsis/PTree/TypeVisitor.hh:28</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" >visit&#40;Keyword*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#29">Synopsis/PTree/TypeVisitor.hh:29</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" >visit&#40;Typedef*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#30">Synopsis/PTree/TypeVisitor.hh:30</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" >visit&#40;TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#31">Synopsis/PTree/TypeVisitor.hh:31</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" >visit&#40;TemplateInstantiation*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#32">Synopsis/PTree/TypeVisitor.hh:32</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" >visit&#40;ExternTemplate*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#33">Synopsis/PTree/TypeVisitor.hh:33</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" >visit&#40;MetaclassDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#34">Synopsis/PTree/TypeVisitor.hh:34</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" >visit&#40;ParameterDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#35">Synopsis/PTree/TypeVisitor.hh:35</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" >visit&#40;LinkageSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#36">Synopsis/PTree/TypeVisitor.hh:36</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" >visit&#40;NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#37">Synopsis/PTree/TypeVisitor.hh:37</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" >visit&#40;NamespaceAlias*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#38">Synopsis/PTree/TypeVisitor.hh:38</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" >visit&#40;UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#39">Synopsis/PTree/TypeVisitor.hh:39</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" >visit&#40;Declaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#40">Synopsis/PTree/TypeVisitor.hh:40</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" >visit&#40;UsingDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#41">Synopsis/PTree/TypeVisitor.hh:41</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#42">Synopsis/PTree/TypeVisitor.hh:42</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" >visit&#40;Name*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#43">Synopsis/PTree/TypeVisitor.hh:43</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#44">Synopsis/PTree/TypeVisitor.hh:44</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" >visit&#40;ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#45">Synopsis/PTree/TypeVisitor.hh:45</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" >visit&#40;EnumSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#46">Synopsis/PTree/TypeVisitor.hh:46</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeParameter_S_r" >visit&#40;TypeParameter*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#47">Synopsis/PTree/TypeVisitor.hh:47</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" >visit&#40;AccessSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#48">Synopsis/PTree/TypeVisitor.hh:48</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" >visit&#40;AccessDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#49">Synopsis/PTree/TypeVisitor.hh:49</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" >visit&#40;UserAccessSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#50">Synopsis/PTree/TypeVisitor.hh:50</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" >visit&#40;IfStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#51">Synopsis/PTree/TypeVisitor.hh:51</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" >visit&#40;SwitchStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#52">Synopsis/PTree/TypeVisitor.hh:52</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" >visit&#40;WhileStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#53">Synopsis/PTree/TypeVisitor.hh:53</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" >visit&#40;DoStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#54">Synopsis/PTree/TypeVisitor.hh:54</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" >visit&#40;ForStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#55">Synopsis/PTree/TypeVisitor.hh:55</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" >visit&#40;TryStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#56">Synopsis/PTree/TypeVisitor.hh:56</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" >visit&#40;BreakStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#57">Synopsis/PTree/TypeVisitor.hh:57</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" >visit&#40;ContinueStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#58">Synopsis/PTree/TypeVisitor.hh:58</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" >visit&#40;ReturnStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#59">Synopsis/PTree/TypeVisitor.hh:59</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" >visit&#40;GotoStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#60">Synopsis/PTree/TypeVisitor.hh:60</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" >visit&#40;CaseStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#61">Synopsis/PTree/TypeVisitor.hh:61</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" >visit&#40;DefaultStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#62">Synopsis/PTree/TypeVisitor.hh:62</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" >visit&#40;LabelStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#63">Synopsis/PTree/TypeVisitor.hh:63</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" >visit&#40;ExprStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#64">Synopsis/PTree/TypeVisitor.hh:64</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" >visit&#40;Expression*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#65">Synopsis/PTree/TypeVisitor.hh:65</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" >visit&#40;AssignExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#66">Synopsis/PTree/TypeVisitor.hh:66</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" >visit&#40;CondExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#67">Synopsis/PTree/TypeVisitor.hh:67</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" >visit&#40;InfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#68">Synopsis/PTree/TypeVisitor.hh:68</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" >visit&#40;PmExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#69">Synopsis/PTree/TypeVisitor.hh:69</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" >visit&#40;CastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#70">Synopsis/PTree/TypeVisitor.hh:70</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" >visit&#40;UnaryExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#71">Synopsis/PTree/TypeVisitor.hh:71</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" >visit&#40;ThrowExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#72">Synopsis/PTree/TypeVisitor.hh:72</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" >visit&#40;SizeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#73">Synopsis/PTree/TypeVisitor.hh:73</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" >visit&#40;TypeidExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#74">Synopsis/PTree/TypeVisitor.hh:74</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" >visit&#40;TypeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#75">Synopsis/PTree/TypeVisitor.hh:75</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" >visit&#40;NewExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#76">Synopsis/PTree/TypeVisitor.hh:76</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" >visit&#40;DeleteExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#77">Synopsis/PTree/TypeVisitor.hh:77</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" >visit&#40;ArrayExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#78">Synopsis/PTree/TypeVisitor.hh:78</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" >visit&#40;FuncallExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#79">Synopsis/PTree/TypeVisitor.hh:79</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" >visit&#40;PostfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#80">Synopsis/PTree/TypeVisitor.hh:80</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" >visit&#40;DotMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#81">Synopsis/PTree/TypeVisitor.hh:81</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" >visit&#40;ArrowMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#82">Synopsis/PTree/TypeVisitor.hh:82</a>: Member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" >visit&#40;ParenExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#84">Synopsis/PTree/TypeVisitor.hh:84</a>: Data member <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mTypeVisitor_l_r" /><h2 >Constructor Synopsis::PTree::TypeVisitor::TypeVisitor&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#TypeVisitor_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#22">Synopsis/PTree/TypeVisitor.hh:22</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mmy_type" /><h2 >Data member Synopsis::PTree::TypeVisitor::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#84">Synopsis/PTree/TypeVisitor.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#24">Synopsis/PTree/TypeVisitor.hh:24</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" >Synopsis::PTree::TypeVisitor::type_of&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#26">Synopsis/PTree/TypeVisitor.hh:26</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Literal*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#27">Synopsis/PTree/TypeVisitor.hh:27</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIdentifier_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Identifier*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#28">Synopsis/PTree/TypeVisitor.hh:28</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Keyword*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#29">Synopsis/PTree/TypeVisitor.hh:29</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Typedef*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#30">Synopsis/PTree/TypeVisitor.hh:30</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TemplateDecl*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#31">Synopsis/PTree/TypeVisitor.hh:31</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TemplateInstantiation*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#32">Synopsis/PTree/TypeVisitor.hh:32</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ExternTemplate*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#33">Synopsis/PTree/TypeVisitor.hh:33</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;MetaclassDecl*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#34">Synopsis/PTree/TypeVisitor.hh:34</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ParameterDeclaration*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#35">Synopsis/PTree/TypeVisitor.hh:35</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;LinkageSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#36">Synopsis/PTree/TypeVisitor.hh:36</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NamespaceSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#37">Synopsis/PTree/TypeVisitor.hh:37</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NamespaceAlias*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#38">Synopsis/PTree/TypeVisitor.hh:38</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UsingDirective*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#39">Synopsis/PTree/TypeVisitor.hh:39</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Declaration*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#40">Synopsis/PTree/TypeVisitor.hh:40</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UsingDeclaration*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#41">Synopsis/PTree/TypeVisitor.hh:41</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Declarator*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#42">Synopsis/PTree/TypeVisitor.hh:42</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Name*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#43">Synopsis/PTree/TypeVisitor.hh:43</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;FstyleCastExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#44">Synopsis/PTree/TypeVisitor.hh:44</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ClassSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#45">Synopsis/PTree/TypeVisitor.hh:45</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;EnumSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#46">Synopsis/PTree/TypeVisitor.hh:46</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeParameter_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TypeParameter*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#47">Synopsis/PTree/TypeVisitor.hh:47</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AccessSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#48">Synopsis/PTree/TypeVisitor.hh:48</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AccessDecl*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#49">Synopsis/PTree/TypeVisitor.hh:49</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UserAccessSpec*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#50">Synopsis/PTree/TypeVisitor.hh:50</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;IfStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#51">Synopsis/PTree/TypeVisitor.hh:51</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;SwitchStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#52">Synopsis/PTree/TypeVisitor.hh:52</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;WhileStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#53">Synopsis/PTree/TypeVisitor.hh:53</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DoStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#54">Synopsis/PTree/TypeVisitor.hh:54</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ForStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#55">Synopsis/PTree/TypeVisitor.hh:55</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TryStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#56">Synopsis/PTree/TypeVisitor.hh:56</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;BreakStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#57">Synopsis/PTree/TypeVisitor.hh:57</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ContinueStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#58">Synopsis/PTree/TypeVisitor.hh:58</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ReturnStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#59">Synopsis/PTree/TypeVisitor.hh:59</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;GotoStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#60">Synopsis/PTree/TypeVisitor.hh:60</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CaseStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#61">Synopsis/PTree/TypeVisitor.hh:61</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DefaultStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#62">Synopsis/PTree/TypeVisitor.hh:62</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;LabelStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#63">Synopsis/PTree/TypeVisitor.hh:63</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ExprStatement*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#64">Synopsis/PTree/TypeVisitor.hh:64</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Expression*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#65">Synopsis/PTree/TypeVisitor.hh:65</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AssignExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#66">Synopsis/PTree/TypeVisitor.hh:66</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CondExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#67">Synopsis/PTree/TypeVisitor.hh:67</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;InfixExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#68">Synopsis/PTree/TypeVisitor.hh:68</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;PmExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#69">Synopsis/PTree/TypeVisitor.hh:69</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CastExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#70">Synopsis/PTree/TypeVisitor.hh:70</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UnaryExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#71">Synopsis/PTree/TypeVisitor.hh:71</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ThrowExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#72">Synopsis/PTree/TypeVisitor.hh:72</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;SizeofExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#73">Synopsis/PTree/TypeVisitor.hh:73</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TypeidExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#74">Synopsis/PTree/TypeVisitor.hh:74</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TypeofExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#75">Synopsis/PTree/TypeVisitor.hh:75</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NewExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#76">Synopsis/PTree/TypeVisitor.hh:76</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DeleteExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#77">Synopsis/PTree/TypeVisitor.hh:77</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ArrayExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#78">Synopsis/PTree/TypeVisitor.hh:78</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;FuncallExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#79">Synopsis/PTree/TypeVisitor.hh:79</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;PostfixExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#80">Synopsis/PTree/TypeVisitor.hh:80</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DotMemberExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#81">Synopsis/PTree/TypeVisitor.hh:81</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ArrowMemberExpr*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#82">Synopsis/PTree/TypeVisitor.hh:82</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ParenExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mtype_of_lNode_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::type_of&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#24">Synopsis/PTree/TypeVisitor.hh:24</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#91">Synopsis/PTree/TypeVisitor.hh:91</a>: in function <a href="../Scopes/Synopsis/PTree.html#type_of_lconst.Node_S_r" >Synopsis::PTree::type_of&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#98">Synopsis/PTree/TypeVisitor.hh:98</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#106">Synopsis/PTree/TypeVisitor.hh:106</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#114">Synopsis/PTree/TypeVisitor.hh:114</a>: in Synopsis::PTree::is_a&#40;const Node*&#44;Token</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lAccessDecl_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;AccessDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#48">Synopsis/PTree/TypeVisitor.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lAccessSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;AccessSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#47">Synopsis/PTree/TypeVisitor.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lArrayExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ArrayExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#77">Synopsis/PTree/TypeVisitor.hh:77</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
